Update Proposed Ids Security Policy

Update Proposed Ids Security Policy
Update proposed IDS security policy

Updates a proposed IDS security policy. Writable fields are publish_action, display_name, and description. The request body must include the current revision value for optimistic concurrency control.

Publish preconditions: PUBLISH is a no-op if the policy is already published successfully or if publication is already in progress. CANCEL_PUBLISH attempts to cancel any ongoing publication; if no publication is in progress, it is a no-op.

Request
URI
PUT
https://{api_host}/ssp/segmentation/{session-id}/results/proposed-ids-security-policies/{policy-id}
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session.

string
policy-id
Required  

Unique identifier of the proposed IDS security policy.


Request Body

IDS security policy update. Only publish_action, display_name, and description are writable; all other fields are ignored. The revision field is required for optimistic concurrency control. The policy_type field must be included as the discriminator to identify the concrete schema but cannot be changed.

ProposedIdsSecurityPolicy of type(s) application/json
Required  
This request body class requires all of the following: PolicyManagedResource , InlineProposedIdsSecurityPolicy1
{
    "revision": 1,
    "policy_type": "ENVIRONMENT",
    "publish_action": "PUBLISH",
    "display_name": "SSP_EU_AZ2_Test_IDPS"
}
Authentication
This operation uses the following authentication methods.
Responses
202

Update accepted and processing asynchronously

Returns AsyncApiResponse of type(s) application/json
{
    "id": "f94a73ae-d5a0-39f3-b551-252bff2c5419",
    "status_url": "/segmentation/aa68674c-f114-43fc-9ee0-ec6d9cf81d01/results/proposed-ids-security-policies/f94a73ae-d5a0-39f3-b551-252bff2c5419/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"policy_type":"string"}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-ids-security-policies/{policy-id}